
.kb-buttons-wrap {
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	justify-content: center;
	gap: var(--global-kb-gap-xs, .5rem);
}

.kb-button {
	z-index: 1;
	position: relative;
	overflow: hidden;
	display: inline-flex;
	text-align: center;
	align-items: center;
	justify-content: center;
}

.kb-button.wp-block-button__link {
	width: auto;
	height: auto;
}

.kb-button.kt-btn-width-type-full {
	flex: 1 0 fit-content;
	width: 100%;
}

.kb-blocks-button-aos.kb-btn-width-type-full {
	flex: 1 0 fit-content;
	width: 100%;
}

.wp-block-kadence-advancedbtn .kb-button:not(.specificity):not(.extra-specificity) {
	text-decoration: none;
}

.kb-button:not(.kb-btn-global-inherit) {
	border: 0 solid rgba(0, 0, 0, 0);
	padding: .4em 1em;
	cursor: pointer;
	font-size: 1.125rem;
	border-radius: 3px;
	transition: all .3s ease-in-out;
	box-shadow: none;
}

.kb-button:not(.kb-btn-global-inherit):hover {
	box-shadow: none;
}

.kb-button.kb-btn-global-fill {
	border: 0px solid rgba(0, 0, 0, 0);
	border-radius: 3px;
	background: var(--global-palette-btn-bg, #3633e1);
	color: var(--global-palette-btn, #fff);
}

.kb-button.kb-btn-global-fill:hover {
	color: var(--global-palette-btn-hover, #fff);
	background: var(--global-palette-btn-bg-hover, #2f2ffc);
}

.kb-button.kb-btn-global-fill:focus {
	color: var(--global-palette-btn-hover, #fff);
	background: var(--global-palette-btn-bg-hover, #2f2ffc);
}

.kb-button.kb-btn-global-outline {
	border: 2px solid var(--global-palette-btn-bg, #3633e1);
	background: rgba(0, 0, 0, 0);
	color: var(--global-palette-btn-bg, #3633e1);
	padding: calc(.4em - 2px) calc(1em - 2px);
}

.kb-button.kb-btn-global-outline:hover {
	border-color: var(--global-palette-btn-bg-hover, #2f2ffc);
	background: rgba(0, 0, 0, 0);
	color: var(--global-palette-btn-bg-hover, #2f2ffc);
}

.kb-button.kb-btn-global-outline:focus {
	border-color: var(--global-palette-btn-bg-hover, #2f2ffc);
	background: rgba(0, 0, 0, 0);
	color: var(--global-palette-btn-bg-hover, #2f2ffc);
}

.kb-button::before {
	position: absolute;
	content: "";
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	z-index: -1;
	opacity: 0;
	background: rgba(0, 0, 0, 0);
}

.kb-button:hover::before, .kb-button:focus::before {
	opacity: 1;
}

.wp-block-kadence-advancedbtn .kb-button.kt-btn-size-small {
	font-size: .9rem;
}

.wp-block-kadence-advancedbtn .kb-button.kt-btn-size-large {
	font-size: 1.35rem;
}

.wp-block-kadence-advancedbtn .kb-button.kt-btn-size-xlarge {
	font-size: 1.65rem;
}

.kb-button.kb-btn-global-outline.kt-btn-size-xlarge {
	border-width: 4px;
}

.kb-button.kb-btn-global-outline.kt-btn-size-large {
	border-width: 3px;
	padding: calc(.4em - 3px) calc(1em - 3px);
}

.kb-button.kb-btn-global-outline.kt-btn-size-small {
	border-width: 1px;
	padding: calc(.4em - 1px) calc(1em - 1px);
}

.kb-button.kt-btn-has-svg-true {
	gap: .5em;
	display: inline-flex;
}

.wp-block-kadence-advancedbtn .kb-svg-icon-wrap {
	display: inline-flex;
	justify-content: center;
	align-items: center;
}

.wp-block-kadence-advancedbtn .kb-svg-icon-wrap svg {
	width: 1em;
	height: 1em;
}

.kb-button.icon-reveal .kb-svg-icon-wrap {
	transition: transform .3s ease-in-out, width .3s ease-in-out, opacity .3s ease-in-out;
	width: 0;
	opacity: 0;
}

.kb-button.icon-reveal:hover .kb-svg-icon-wrap {
	width: var(--kb-button-icon-size, 24px);
	opacity: 1;
}

.kt-row-layout-inner, .kb-row-layout-wrap {
	position: relative;
	border: 0 solid rgba(0, 0, 0, 0);
}

.kt-row-layout-inner:before, .kb-row-layout-wrap:before {
	clear: both;
	display: table;
	content: "";
}

.kt-row-column-wrap {
	display: grid;
	grid-template-columns: minmax(0, 1fr);
	gap: var(--global-row-gutter-md, 2rem) var(--global-row-gutter-md, 2rem);
	grid-auto-rows: minmax(min-content, max-content);
	z-index: 1;
	position: relative;
}

.wp-block-kadence-rowlayout .kt-row-column-wrap.kb-theme-content-width {
	margin-left: auto;
	margin-right: auto;
}

.kt-row-has-bg>.kt-row-column-wrap {
	padding-left: var(--global-content-edge-padding, 15px);
	padding-right: var(--global-content-edge-padding, 15px);
}

.alignfull>.kt-row-layout-inner>.kt-row-column-wrap, .alignfull>.kt-row-column-wrap {
	padding-left: var(--global-content-edge-padding, 15px);
	padding-right: var(--global-content-edge-padding, 15px);
}

.kt-inner-column-height-full:not(.kt-row-layout-row) {
	grid-auto-rows: minmax(0, 1fr);
}

.kt-inner-column-height-full:not(.kt-row-layout-row)>.wp-block-kadence-column {
	align-self: stretch;
}

.kt-inner-column-height-full:not(.kt-row-layout-row)>.wp-block-kadence-column>.kt-inside-inner-col {
	height: 100%;
}

.kt-row-valign-middle.kt-inner-column-height-full>.wp-block-kadence-column:not(.kb-section-dir-horizontal)>.kt-inside-inner-col {
	display: flex;
	flex-direction: column;
	justify-content: center;
}

.kt-row-valign-bottom.kt-inner-column-height-full>.wp-block-kadence-column:not(.kb-section-dir-horizontal)>.kt-inside-inner-col {
	display: flex;
	flex-direction: column;
	justify-content: flex-end;
}

.kt-row-valign-middle.kt-inner-column-height-full>.wp-block-kadence-column.kb-section-dir-horizontal>.kt-inside-inner-col {
	align-items: center;
}

.kt-row-valign-bottom.kt-inner-column-height-full>.wp-block-kadence-column.kb-section-dir-horizontal>.kt-inside-inner-col {
	align-items: flex-end;
}

@media screen and (max-width: 1024px) {
	.kt-inner-column-height-full.kt-tab-layout-row, .kt-inner-column-height-full.kt-tab-layout-inherit.kt-row-layout-row {
		grid-auto-rows: minmax(min-content, max-content);
	}
	
	.kt-inner-column-height-full.kt-tab-layout-inherit.kt-row-layout-row>.wp-block-kadence-column>.kt-inside-inner-col {
		height: auto;
	}
	
	.kt-inner-column-height-full.kt-tab-layout-row>.wp-block-kadence-column>.kt-inside-inner-col {
		height: auto;
	}
	
	.kt-inner-column-height-full.kt-tab-layout-equal, .kt-inner-column-height-full:not(.kt-tab-layout-inherit):not(.kt-tab-layout-row) {
		grid-auto-rows: minmax(0, 1fr);
	}
	
	.kt-inner-column-height-full.kt-tab-layout-equal>.wp-block-kadence-column>.kt-inside-inner-col, .kt-inner-column-height-full:not(.kt-tab-layout-inherit):not(.kt-tab-layout-row)>.wp-block-kadence-column>.kt-inside-inner-col {
		height: 100%;
	}
}

@media screen and (max-width: 767px) {
	.kt-inner-column-height-full.kt-mobile-layout-row.kt-mobile-layout-row {
		grid-auto-rows: minmax(min-content, max-content);
	}
	
	.kt-inner-column-height-full.kt-mobile-layout-row>.wp-block-kadence-column>.kt-inside-inner-col {
		height: auto;
	}
	
	.kt-inner-column-height-full.kt-mobile-layout-equal, .kt-inner-column-height-full:not(.kt-mobile-layout-inherit):not(.kt-mobile-layout-row) {
		grid-auto-rows: minmax(0, 1fr);
	}
	
	.kt-inner-column-height-full.kt-mobile-layout-equal>.wp-block-kadence-column>.kt-inside-inner-col, .kt-inner-column-height-full:not(.kt-mobile-layout-inherit):not(.kt-mobile-layout-row)>.wp-block-kadence-column>.kt-inside-inner-col {
		height: 100%;
	}
}

.wp-block-kadence-rowlayout .kt-row-layout-overlay {
	opacity: .3;
}

.wp-block-kadence-rowlayout .kt-row-layout-overlay.kt-jarallax {
	filter: none;
}

.wp-block-kadence-rowlayout.kb-row-layout-wrap .kt-row-layout-overlay, .wp-block-kadence-rowlayout:not([data-kadence-lazy-class]) .kt-row-layout-overlay {
	top: 0;
	left: 0;
	position: absolute;
	height: 100%;
	width: 100%;
	z-index: 0;
	filter: opacity(100%);
}

.wp-block-kadence-rowlayout.kb-row-layout-wrap .kt-row-layout-overlay.kt-jarallax, .wp-block-kadence-rowlayout:not([data-kadence-lazy-class]) .kt-row-layout-overlay.kt-jarallax {
	filter: none;
}

@media (min-width: 768px)and (max-width: 1024px) {
	.wp-block-kadence-rowlayout [id*=jarallax-container-]>div {
		height: var(--kb-screen-height-fix, 100vh) !important;
		margin-top: -40px !important;
	}
}

@media only screen and (min-width: 768px)and (max-width: 1366px)and (-webkit-min-device-pixel-ratio: 2) {
	.wp-block-kadence-rowlayout [id*=jarallax-container-]>div {
		height: var(--kb-screen-height-fix, 100vh) !important;
		margin-top: -40px !important;
	}
}

.entry-content .wp-block-kadence-rowlayout.alignfull, .entry-content .wp-block-kadence-rowlayout.alignwide {
	text-align: inherit;
	margin-bottom: 0;
}

.kt-row-layout-bottom-sep {
	position: absolute;
	height: 100px;
	bottom: -1px;
	left: 0;
	overflow: hidden;
	right: 0;
	z-index: 1;
}

.kt-row-layout-bottom-sep svg {
	position: absolute;
	bottom: 0px;
	left: 50%;
	transform: translateX(-50%);
	width: 100.2%;
	height: 100%;
	display: block;
	fill: #fff;
}

.kt-row-layout-top-sep {
	position: absolute;
	height: 100px;
	top: -1px;
	left: 0;
	overflow: hidden;
	right: 0;
	z-index: 1;
}

.kt-row-layout-top-sep svg {
	position: absolute;
	top: 0px;
	left: 50%;
	transform: translateX(-50%) rotate(180deg);
	width: 100.2%;
	height: 100%;
	display: block;
	fill: #fff;
}

.kt-row-layout-inner>.kb-blocks-bg-slider, .kb-row-layout-wrap>.kb-blocks-bg-slider {
	position: absolute;
	left: 0;
	right: 0;
	top: 0;
	bottom: 0;
	padding: 0;
	margin: 0;
}

.kt-row-layout-inner>.kb-blocks-bg-slider .kb-blocks-bg-slider-init.kt-blocks-carousel-init, .kb-row-layout-wrap>.kb-blocks-bg-slider .kb-blocks-bg-slider-init.kt-blocks-carousel-init {
	position: absolute;
	left: 0;
	right: 0;
	top: 0;
	bottom: 0;
	padding: 0;
	margin: 0;
}

.kt-row-layout-inner>.kb-blocks-bg-slider .splide__track, .kt-row-layout-inner>.kb-blocks-bg-slider .splide__list, .kt-row-layout-inner>.kb-blocks-bg-slider .splide__slide, .kt-row-layout-inner>.kb-blocks-bg-slider .kb-bg-slide-contain, .kb-row-layout-wrap>.kb-blocks-bg-slider .splide__track, .kb-row-layout-wrap>.kb-blocks-bg-slider .splide__list, .kb-row-layout-wrap>.kb-blocks-bg-slider .splide__slide, .kb-row-layout-wrap>.kb-blocks-bg-slider .kb-bg-slide-contain {
	height: 100%;
}

.kt-row-layout-inner>.kb-blocks-bg-slider .splide__list, .kb-row-layout-wrap>.kb-blocks-bg-slider .splide__list {
	height: 100% !important;
}

.kt-row-layout-inner>.kb-blocks-bg-slider .kb-bg-slide-contain div.kb-bg-slide, .kb-row-layout-wrap>.kb-blocks-bg-slider .kb-bg-slide-contain div.kb-bg-slide {
	background-position: center;
	background-size: cover;
	background-repeat: no-repeat;
}

.kt-row-layout-inner>.kb-blocks-bg-slider .kb-blocks-bg-slider-init:not(.splide-initialized) .kb-bg-slide-contain, .kb-row-layout-wrap>.kb-blocks-bg-slider .kb-blocks-bg-slider-init:not(.splide-initialized) .kb-bg-slide-contain {
	display: none;
}

.kt-row-layout-inner>.kb-blocks-bg-slider .kb-blocks-bg-slider-init:not(.splide-initialized) .kb-bg-slide-contain:first-child, .kb-row-layout-wrap>.kb-blocks-bg-slider .kb-blocks-bg-slider-init:not(.splide-initialized) .kb-bg-slide-contain:first-child {
	display: block;
}

.kt-row-layout-inner>.kb-blocks-bg-slider .kb-bg-slide-contain div, .kb-row-layout-wrap>.kb-blocks-bg-slider .kb-bg-slide-contain div {
	position: relative;
	height: 100%;
}

.kb-blocks-bg-slider-init.splide .splide__pagination {
	bottom: 10px;
}

.kb-blocks-bg-slider-init.splide .splide__arrow {
	z-index: 100;
}

.kb-blocks-bg-slider-init:not(.splide-initialized) .kb-bg-slide-contain .kb-lazy-bg-pending {
	background-image: none !important;
}

.kb-blocks-bg-slider-init:not(.splide-initialized) .kb-bg-slide-contain .kb-lazy-bg-pending.nitro-lazy {
	background-image: none !important;
}

.kb-blocks-bg-video-container {
	bottom: 0;
	right: 0;
	top: 0;
	left: 0;
	position: absolute;
	overflow: hidden;
}

.kb-blocks-bg-video-container .kb-blocks-bg-video {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	height: auto;
	width: 100%;
	min-width: 100%;
	min-height: 100%;
}

.kb-blocks-bg-video-container .kb-blocks-bg-video::-webkit-media-controls {
	display: none !important;
}

.kb-blocks-bg-video-container.embedded .kb-bg-video-iframe {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	min-width: 100%;
	height: 0;
	padding-bottom: 56.25%;
}

.kb-blocks-bg-video-container.embedded .kb-bg-video-iframe.kb-bg-video-ratio-4-3 {
	padding-bottom: 75%;
}

.kb-blocks-bg-video-container.embedded .kb-bg-video-iframe.kb-bg-video-ratio-3-2 {
	padding-bottom: 66.66%;
}

@media (max-aspect-ratio: 16/9) {
	.kb-blocks-bg-video-container.embedded .kb-bg-video-iframe {
		min-height: 100%;
		aspect-ratio: 16/9;
	}
}

.kb-blocks-bg-video-container.embedded .kb-blocks-bg-video {
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	border: 0;
	transform: translate(0%, 0%);
}

.kb-blocks-bg-video-container .kb-background-video-buttons-wrapper {
	position: absolute;
	z-index: 11;
	bottom: 20px;
	right: 20px;
}

.kb-blocks-bg-video-container .kb-background-video-buttons-wrapper button.kb-toggle-video-btn {
	padding: 8px;
	margin: 0 0 0 8px;
	border: 0;
	background: rgba(0, 0, 0, .3);
	cursor: pointer;
	font-size: 24px;
	color: #fff;
	display: inline-block;
	opacity: .5;
	height: 32px;
	line-height: 16px;
	transition: opacity .3s ease-in-out;
	box-sizing: border-box;
}

.kb-blocks-bg-video-container .kb-background-video-buttons-wrapper button.kb-toggle-video-btn svg {
	width: 16px;
	height: 16px;
	vertical-align: bottom;
}

.kb-blocks-bg-video-container .kb-background-video-buttons-wrapper button.kb-toggle-video-btn:hover {
	opacity: 1;
}

.kb-blocks-bg-video {
	object-position: 50% 50%;
	object-fit: cover;
	background-position: center center;
	width: 100%;
	height: 100%;
}

@media (max-width: 767px) {
	.kvs-sm-false {
		display: none !important;
	}
}

@media (min-width: 768px)and (max-width: 1024px) {
	.kvs-md-false {
		display: none !important;
	}
}

@media screen and (min-width: 1025px) {
	.kvs-lg-false {
		display: none !important;
	}
}

.wp-block-kadence-rowlayout .kb-blocks-bg-slider .splide-arrow {
	z-index: 1000;
}

:where(.kb-row-layout-wrap:has(.wp-block-kadence-navigation)) {
	z-index: 49;
}

:where(header .kb-row-layout-wrap:has(.wp-block-kadence-navigation)) {
	z-index: 1000;
}

.kb-blocks-bg-slider .kb-gallery-pause-button {
	display: none;
	position: absolute;
	bottom: 20px;
	right: 20px;
	z-index: 2;
}

.kb-blocks-bg-slider:has(.kb-blocks-bg-slider-init[data-show-pause-button=true]) .kb-gallery-pause-button {
	display: block;
}

.kb-blocks-bg-slider .kb-gallery-pause-button {
	padding: 8px;
	cursor: pointer;
	border-radius: 3px;
	width: 40px;
	height: 40px;
	display: flex;
	align-items: center;
	justify-content: center;
	transition: all .3s ease;
	opacity: .75;
}

.kb-blocks-bg-slider .kb-gallery-pause-button:hover {
	opacity: .75;
}

.kb-blocks-bg-slider .kb-gallery-pause-button:focus {
	outline: 2px solid hsla(0, 0%, 100%, .5);
	outline-offset: 2px;
	opacity: 1;
}

.kb-blocks-bg-slider:hover .kb-gallery-pause-button {
	opacity: 1;
}

@media (max-width: 767px) {
	.kb-blocks-bg-slider .kb-gallery-pause-button {
		opacity: 1;
	}
}

@media (hover: none) {
	.kb-blocks-bg-slider .kb-gallery-pause-button {
		opacity: 1;
	}
}
